%define debug_package %{nil}

Name:           fastfetch
Version:        2.31.0
Release:        1%{?dist}
Summary:        Fastfetch is a neofetch-like tool for fetching system information and displaying it prettily.

License:        MIT
URL:            https://github.com/fastfetch-cli/fastfetch
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:	gcc-c++
BuildRequires:  cmake

%description
Fastfetch is a neofetch-like tool for fetching system information and displaying it prettily. It is written mainly in C, with performance and customizability in mind. Currently, Linux, Android, FreeBSD, macOS, SunOS and Windows 7+ are supported.

%package bash-completion
Summary: Bash completion files for %{name}
Requires: bash-completion
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description bash-completion
%{summary}

%package zsh-completion
Summary: ZSH completion files for %{name}
Requires: zsh
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description zsh-completion
%{summary}

%package fish-completion
Summary: Fish completion files for %{name}
Requires: fish
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
 
 
%description fish-completion
%{summary}

%prep
%setup -n %{name}

%build
%cmake -DBUILD_TESTS=ON 
%cmake_build

%check
%ctest

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/flashfetch
%{_datadir}/%{name}/
%{_mandir}/man1/fastfetch.1*

%files bash-completion
%{_datadir}/bash-completion/completions/%{name}

%files zsh-completion
%{_datadir}/zsh/site-functions/_%{name}

%files fish-completion
%{_datadir}/fish/vendor_completions.d/%{name}.fish
 
%changelog
* Thu Dec 12 2024 Alexander Lushin <alexander.lushin@mail.ru> - 2.31.0-1
- Initial build.
